#
# spec file for package libproxy
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         build_core_not_modules 1
%if 0%{?suse_version}
%define         have_mono 1
%else
%define         have_mono 0
%endif

%if 0%{?suse_version} > 1130
%define xulrunner_ver 20
%else
%if 0%{?suse_version} > 1120
%define xulrunner_ver 192
%else
%if 0%{?suse_version} > 1110
%define xulrunner_ver 191
%else
%define xulrunner_ver 190
%endif
%endif
%endif
Url:            http://code.google.com/p/libproxy/
%define _name   libproxy

Name:           libproxy
Group:          System/Libraries
Summary:        Libproxy provides consistent proxy configuration to applications
Version:        0.4.7
Release:        6.3.1
%if 0%{?build_snapshot}
%define _sourcename %{_name}
%else
%define _sourcename %{_name}-%{version}
%endif
Source:         http://libproxy.googlecode.com/files/%{_sourcename}.tar.gz
# Script used for automatic snapshot updates
Source98:       update-from-svn.sh
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM libproxy-trim-ignores.patch bnc#679322 dimstar@opensuse.org -- Trim strings in ignore list.
Patch0:         libproxy-trim-ignores.patch
License:        GPLv2+ ; LGPLv2.1+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libmodman-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
%if !%{build_core_not_modules}
%if ! 0%{?windows}
BuildRequires:  dbus-1-devel
BuildRequires:  gconf2-devel
# For directory ownership, but also because we want to rebuild the modules if
# the library changed
BuildRequires:  libproxy1
BuildRequires:  libwebkit-devel
%if 0%{?suse_version}
BuildRequires:  mozilla-xulrunner%{xulrunner_ver}-devel
%else
BuildRequires:  xulrunner-devel
%endif
BuildRequires:  NetworkManager-devel
BuildRequires:  libkde4-devel
BuildRequires:  libqt4-devel
%endif
%else
%if 0%{?have_mono}
BuildRequires:  mono-devel
%endif
BuildRequires:  perl
BuildRequires:  python-devel
%endif

%{!?python_sitelib:  %global python_sitelib  %(%__python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%__python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?_assemblies_dir: %global _assemblies_dir %(pkg-config cecil --variable=assemblies_dir)}

%description
libproxy offers the following features: * extremely small core
   footprint (< 35K)

* no external dependencies within libproxy core (libproxy modules
   may have dependencies)
* only 3 functions in the stable external API
* dynamic adjustment to changing network topology
* a standard way of dealing with proxy settings across all scenarios


%if %build_core_not_modules

%package tools
License:        GPLv2+ ; LGPLv2.1+
Summary:        A simple application using libproxy
Group:          System/Libraries
Requires:       libproxy1 = %{version}

%description tools
A simple application that will use libproxy to give the results you can
expect from other applications. It can be used to debug what would
happen in various cases.


%package devel
License:        GPLv2+ ; LGPLv2.1+
Summary:        Libproxy provides consistent proxy configuration to applications - Development Files
Group:          Development/Libraries/C and C++
Requires:       libproxy1 = %{version}

%description devel
libproxy offers the following features: * extremely small core
   footprint (< 35K)

* no external dependencies within libproxy core (libproxy modules
   may have dependencies)
* only 3 functions in the stable external API
* dynamic adjustment to changing network topology
* a standard way of dealing with proxy settings across all scenarios


%package -n libproxy1
License:        GPLv2+ ; LGPLv2.1+
Summary:        Libproxy provides consistent proxy configuration to applications
Group:          System/Libraries

%description -n libproxy1
libproxy offers the following features: * extremely small core
   footprint (< 35K)

* no external dependencies within libproxy core (libproxy modules
   may have dependencies)
* only 3 functions in the stable external API
* dynamic adjustment to changing network topology
* a standard way of dealing with proxy settings across all scenarios

%package -n python-libproxy
License:        GPLv2+ ; LGPLv2.1+
Summary:        Python bindings for libproxy
Group:          System/Libraries
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%py_requires
%endif
Requires:       libproxy1 = %{version}

%description -n python-libproxy
libproxy offers the following features: * extremely small core
   footprint (< 35K)

* no external dependencies within libproxy core (libproxy modules
   may have dependencies)
* only 3 functions in the stable external API
* dynamic adjustment to changing network topology
* a standard way of dealing with proxy settings across all scenarios


%package -n perl-Net-Libproxy
License:        GPLv2+ ; LGPLv2.1+
Summary:        Perl bindings for libproxy
Group:          Development/Libraries/Perl
Requires:       libproxy1 = %{version}
# For Fedora at least perl = perl_version does not work.
Requires:       perl >= %{perl_version}

%description -n perl-Net-Libproxy
libproxy offers the following features: * extremely small core
   footprint (< 35K)

* no external dependencies within libproxy core (libproxy modules
   may have dependencies)
* only 3 functions in the stable external API
* dynamic adjustment to changing network topology
* a standard way of dealing with proxy settings across all scenarios

%if 0%{?have_mono}

%package -n libproxy-sharp
License:        GPLv2+ ; LGPLv2.1+
Summary:        .Net bindings for libproxy
Group:          Development/Languages/Mono
Requires:       libproxy1 = %{version}

%description -n libproxy-sharp
libproxy offers the following features: * extremely small core
   footprint (< 35K)

* no external dependencies within libproxy core (libproxy modules
   may have dependencies)
* only 3 functions in the stable external API
* dynamic adjustment to changing network topology
* a standard way of dealing with proxy settings across all scenarios
%endif

%else

%package -n libproxy1-config-gnome

License:        GPLv2+ ; LGPLv2.1+
Summary:        Libproxy module for GNOME configuration
Group:          System/Libraries
Requires:       libproxy1 = %{version}
%if 0%{?suse_version}
Recommends:     libproxy1-pacrunner = %{version}
Supplements:    packageand(libproxy1:gconf2)
%else
Requires:       libproxy1-pacrunner = %{version}
%endif
Provides:       libproxy-gnome = %{version}
Obsoletes:      libproxy-gnome < %{version}

%description -n libproxy1-config-gnome
A module to extend libproxy with capabilities to query GNOME about
proxy settings.


%package -n libproxy1-config-kde4

License:        GPLv2+ ; LGPLv2.1+
Summary:        Libproxy module for KDE configuration
Group:          System/Libraries
Requires:       libproxy1 = %{version}
%if 0%{?suse_version}
Recommends:     libproxy1-pacrunner = %{version}
Supplements:    packageand(libproxy1:libkde4)
%else
Requires:       libproxy1-pacrunner = %{version}
%endif
Provides:       libproxy-kde = %{version}
Obsoletes:      libproxy-kde < %{version}

%description -n libproxy1-config-kde4
A module to extend libproxy with capabilities to query KDE4 about proxy
settings.


%package -n libproxy1-pacrunner-mozjs

License:        GPLv2+ ; LGPLv2.1+
Summary:        Libproxy module to support wpad/pac parsing via Mozilla JavaScript Engine
Group:          System/Libraries
Requires:       libproxy1 = %{version}
%if 0%{?suse_version}
Supplements:    packageand(libproxy1:mozilla-xulrunner%{xulrunner_ver})
%endif
# A virtual symbol to identify that this is a pacrunner.
Provides:       libproxy1-pacrunner = %{version}

%description -n libproxy1-pacrunner-mozjs
A module to extend libproxy with capabilities to pass addresses to a
WPAD/PAC script and have it find the correct proxy.


%package -n libproxy1-pacrunner-webkit

License:        GPLv2+ ; LGPLv2.1+
Summary:        Libproxy module to support WPAD/PAC parsing via WebKit JavaScript Engine
Group:          System/Libraries
Requires:       libproxy1 = %{version}
%if 0%{?suse_version}
Supplements:    packageand(libproxy1:libwebkitgtk-0)
%endif
# A virtual symbol to identify that this is a pacrunner.
Provides:       libproxy1-pacrunner = %{version}

%description -n libproxy1-pacrunner-webkit
A module to extend libproxy with capabilities to pass addresses to a
WPAD/PAC script and have it find the correct proxy.

%package -n libproxy1-networkmanager

License:        GPLv2+ ; LGPLv2.1+
Summary:        Libproxy module for NetworkManager configuration
Group:          System/Libraries
Requires:       libproxy1 = %{version}
%if 0%{?suse_version}
Supplements:    packageand(libproxy1:NetworkManager)
%endif

%description -n libproxy1-networkmanager
A module to extend libproxy with capabilities to query NetworkManager
about network configuration changes.

%endif

%prep
%setup -q -n %{_sourcename}
%patch0 -p0
mkdir build

%build
cd build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
%if 0%{?suse_version} < 1120 && 0%{?suse_version}
export CXXFLAGS="%{optflags} -DXP_UNIX"
%endif
%if 0%{?windows}
export CXXFLAGS="%{optflags} -fno-stack-protector -static-libgcc"
%endif
cmake \
%if 0%{?windows}
  -DCMAKE_TOOLCHAIN_FILE=../cmake/mingw32.cmake \
  -DBUILD_TESTING=False \
  -DWITH_DOTNET=OFF \
%else
  -DWITH_VALA=yes \
  -DWITH_DOTNET=%{have_mono} \
  -DFORCE_SYSTEM_LIBMODMAN=ON \
  -DWITH_GNOME3=OFF \
  -DWITH_WEBKIGTK3=OFF \
%endif
  -DCMAKE_INSTALL_PREFIX=%{_prefix} \
  -DBIN_INSTALL_DIR=%{_bindir} \
  -DLIB_INSTALL_DIR=%{_libdir} \
  -DMODULE_INSTALL_DIR=%{_libdir}/libproxy-%{version}/modules \
  -DLIBEXEC_INSTALL_DIR=%{_libexecdir}/libproxy-%{version} \
  -DPYTHON_SITEPKG_DIR=%{python_sitelib} \
  -DSHARE_INSTALL_PREFIX=%{_datadir} \
  -DINCLUDE_INSTALL_DIR=%{_includedir} \
  -DPERL_VENDORINSTALL=yes \
%if ! %build_core_not_modules
  -DWITH_DOTNET=OFF \
%endif
%if 0%{?suse_version} && 0%{?suse_version} < 1120
  -DCMAKE_BUILD_TYPE=DebugFull \
  -DCMAKE_INSTALL_CONFIG_NAME=DebugFull \
%else
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DCMAKE_INSTALL_CONFIG_NAME=RelWithDebInfo \
%endif
..
%{__make} VERBOSE=1

%install
cd build
make DESTDIR=%{buildroot} install

# On Windows we also do not want to provide the static libraries.
%if 0%{?windows}
find %{buildroot}%{_libdir} -name '*.dll.a' -delete -print
rm %{buildroot}%{_libdir}/libmodman.dll
%endif

%if %build_core_not_modules
# Build the basic directory structure for the modules so we can
# own the directories in the main library package
install -d %{buildroot}%{_libexecdir}/libproxy-%{version}
install -d %{buildroot}%{_libdir}/%{name}-%{version}/modules
%else
# remove files that are part of the core
rm -f %{buildroot}%{_includedir}/*.h
# Delete all files that exist in the base libproxy package
rm -f %{buildroot}%{_bindir}/proxy%{?windows:.exe}
rm -f %{buildroot}%{_libdir}/libproxy.*
rm -f %{buildroot}%{python_sitelib}/*.py
rm -f %{buildroot}%{_libdir}/pkgconfig/libproxy-1.0.pc
rm -f %{buildroot}%{_datadir}/cmake/Modules/Findlibproxy.cmake
rm -f %{buildroot}%{_datadir}/vala/vapi/libproxy-1.0.vapi
rm -f %{buildroot}%{perl_vendorarch}/Net/Libproxy.pm
rm -f %{buildroot}%{perl_vendorarch}/auto/Net/Libproxy/Libproxy.so
%endif

%check
cd build
make test

%if %build_core_not_modules

%post -n libproxy1 -p /sbin/ldconfig

%postun -n libproxy1 -p /sbin/ldconfig

%files tools
%defattr(-, root, root)
%{_bindir}/proxy%{?windows:.exe}

%files -n libproxy1
%defattr(-, root, root)
%doc COPYING README AUTHORS
%if ! 0%{?windows}
%{_libdir}/libproxy.so.*
%else
%{_libdir}/libproxy.dll
%endif
%dir %{_libexecdir}/libproxy-%{version}
%dir %{_libdir}/libproxy-%{version}
%dir %{_libdir}/libproxy-%{version}/modules

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%if ! 0%{?windows}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libproxy-1.0.pc
%if 0%{have_mono}
%{_libdir}/pkgconfig/libproxy-sharp-1.0.pc
%endif
%{_datadir}/cmake/Modules/Findlibproxy.cmake
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libproxy-1.0.vapi
%endif

%files -n python-libproxy
%defattr(-, root, root)
%{python_sitelib}/*.py

%if 0%{?have_mono}

%files -n libproxy-sharp
%defattr(-, root, root)
%{_assemblies_dir}/gac/libproxy-sharp
%{_assemblies_dir}/libproxy-sharp
%endif

%if ! 0%{?windows}

%files -n perl-Net-Libproxy
%defattr(-,root,root)
%dir %{perl_vendorarch}/Net
%dir %{perl_vendorarch}/auto/Net
%dir %{perl_vendorarch}/auto/Net/Libproxy
%{perl_vendorarch}/Net/Libproxy.pm
%{perl_vendorarch}/auto/Net/Libproxy/Libproxy.so
%endif
%else

%if ! 0%{?windows}

%files -n libproxy1-config-kde4
%defattr(-, root, root)
%{_libdir}/libproxy-%{version}/modules/config_kde4.so

%files -n libproxy1-config-gnome
%defattr(-, root, root)
%{_libdir}/libproxy-%{version}/modules/config_gnome.so
%{_libexecdir}/libproxy-%{version}/pxgconf

%files -n libproxy1-networkmanager
%defattr(-, root, root)
%{_libdir}/libproxy-%{version}/modules/network_networkmanager.so

%files -n libproxy1-pacrunner-webkit
%defattr(-, root, root)
%{_libdir}/libproxy-%{version}/modules/pacrunner_webkit.so

%files -n libproxy1-pacrunner-mozjs
%defattr(-, root, root)
%{_libdir}/libproxy-%{version}/modules/pacrunner_mozjs.so
%endif
%endif

%changelog
* Mon Aug  8 2011 dimstar@opensuse.org
- Add libproxy-trim-ignores.patch: Trim strings in ignore list.
  Fix bnc#679322.
* Wed Jun 22 2011 dimstar@opensuse.org
- Update to version 0.4.7 (for bnc#701059):
  + Support/require xulrunner 2.0+
  + Support linking againgst libwebkit-gtk3 (-DWITH_WEBKIT3=ON)
  + Port to gsettings for gnome3. (-DWITH_GNOME3=ON[default])
  + Issues closed:
  - #149: always test for the right python noarch module path
  - #155: Cannot compile with Firefox 4
  - #156: libproxy should build against webkitgtk-3.0
  - #158: Won't compile w/ xulrunner 2.0 final
  - #159: libproxy fails with autoconfiguration
    "http://proxy.domain.com"
  - #131: GSettings-based GNOME plugin
  - #150: SUSE sysconfig/proxy config support
- Build gnome2 module and webkitgtk linked against gtk2.
  - DWITH_GNOME3=OFF
  - DWITH_WEBKIGTK3=OFF
* Tue Feb 15 2011 dimstar@opensuse.org
- Add libproxy-backports.patch: Backport critical fixes from
  upstream codestream.
* Mon Feb 14 2011 dimstar@opensuse.org
- Add libproxy-xul2.patch: Add compatibility to build against
  xulrunner 2.0. Patch submitted upstream, issue#155.
- Use xulrunner 2.0 on openSUSE 11.4.
* Mon Dec  6 2010 vuntz@opensuse.org
- Add libproxy-sysconfig-support.patch, to support the proxy
  configuration from sysconfig. Part of bnc#655483.
  Patch written by Duncan Mac-Vicar <dmacvicar@novell.com>.
* Thu Sep  2 2010 dimstar@opensuse.org
- Update to version 0.4.6:
  + Fixed a crash in the URL parser
  + Fixed build issues with Visual Studio
  + Updated the INSTALL file
  + Install Python binding in prefix path if site-packages exists
* Fri Aug 20 2010 dimstar@opensuse.org
- Mono bindings are not available for all supported platforms,
  thus wrapping it in a if have_mono [...] endif.
* Thu Aug 19 2010 dimstar@opensuse.org
- Check for build_snapshot: the svn snapshot project contains
  unversioned tarballs.
* Thu Aug 19 2010 dimstar@opensuse.org
- Update to version 0.4.5:
  + C# bindings are installable (-DWITH_DOTNET=ON)
  + C# bindings installation path can be changed using -DGAC_DIR=
  + Internal libmodman build fixed
  + Installation dirs are now all relative to CMAKE_INSTALL_PREFIX
  + Fixed test while using --as-needed linker flag
  + Fixed generation of libproxy-1.0.pc
  + Basic support for Mingw added (not yet 100%% functional)
  + Ruby binding implemented (not yet in the build system)
  + Fixed modules not being found caused by relative
    LIBEXEC_INSTALL_DIR
  + Fixed bug with builtin plugins (Issue 133)
  + Vala bindings installation path can be changed using
  - DVAPI_DIR=
  + Python bindings installation path can be changed using
  - DPYTHON_SITEPKG_DIR=
  + Perl bindings can be installed in vendor directory
    (-DPERL_VENDORARCH=ON)
  + Perl bindings installation path can be change using
  - DPX_PERL_ARCH=
  + Unit test now builds on OSX
- Changes from version 0.4.4:
  + Add support for optionally building using a system libmodman
  + Rework build system to be cleaner
  + Fix two major build system bugs: 127, 128
* Mon Jul  5 2010 dimstar@opensuse.org
- Add mono-devel BuildRequires to install the csharp bindings.
* Tue Jun 22 2010 dimstar@opensuse.org
- Initial work to support win32 cross building.
* Mon Jun 14 2010 dimstar@opensuse.org
- Use external libmodman: add libmodman-devel BuildRequires.
- Drop libmodman0 subpackage
* Wed Jun  9 2010 dimstar@opensuse.org
- Enable build on other distributions than openSUSE, wrapping
  openSUSE rpm tags like Recommends and Supplements in %%if
  statements.
* Mon Jun  7 2010 dimstar@opensuse.org
- Update to version 0.4.3:
  + Test can now be out-compiled using BUILD_TESTING=OFF
  + Fixed python binding not handling NULL pointer
  + Pyhton binding now support Python version 3
  + Rewrote URL parser to comply with unit test (bnc#612007)
  + Username and password are now URL encoded
  + Scheme comparison is now non-case sensitive
  + Fixed deadlock using WebKit as PAC runner
  + Fixed OS X compilation of Perl bindings
- libmodman0_0_0 is now correctly called libmodman0, follow this
  change also in baselibs.conf
* Tue May 25 2010 dimstar@opensuse.org
- Update to version 0.4.2:
  + Fixed python bindings
  + Workaround cmake bug with dynamic libraries in non-standard
    folders.
* Tue May 18 2010 dimstar@opensuse.org
- Update to version 0.4.1:
  + Improved cross-platform build
  + Added Perl and Vala bindings
  + Fix multiple infinite loop bugs
  + Fix random crash with Gnome backend
  + Standardized Gnome backend based on Mozilla and Chrome behavior
  + Removed dependency to X11 in Gnome backend
  + Allow disabling features at build time using WITH_* cmake
    options
  + Module path can now be altered using PX_MODULE_PATH environment
  + pxgconf helper location can be altered using PX_GCONF
    environment
  + Removed proxy scheme filtering, we now trust config modules
  + socks5:// and socks4:// is now allowed
  + Fix crash when password is empty string
  + Complete list of bug fixes:
  - #19, #59, #65, #86, #87, #88, #89, #90, #91, #92, #93, #97,
    [#98], #99, #100, #101, #102, #103, #106, #108, #110
  + Known issues:
    + #109 - Scheme comparison is case sensitive
    + #112 - Username and password are not URI encoded
* Mon Mar 29 2010 dimstar@opensuse.org
- Update to svn snapshot 626
  + No longer require xlib to detect session.
- Remove xorg-x11-libXmu-devel BuildRequires.
* Fri Mar 26 2010 vuntz@opensuse.org
- Build against mozilla-xulrunner192-devel on openSUSE > 11.2.
* Mon Mar 15 2010 dimstar@opensuse.org
- Update to svn snapshot 621 in order to fix some serious crashes
  in config_gnome. This is close to what will be the 0.4.1 release.
- Drop all patches as they came from upstream and are included
  in this snapshot already.
* Wed Mar 10 2010 dimstar@opensuse.org
- Do not forcibly require libmodman from the tools package. It's
  pulled in by library dependencies.
* Wed Mar 10 2010 coolo@novell.com
- add libmodman0_0_0 to baselibs.conf
* Sat Mar  6 2010 dimstar@opensuse.org
- Add libproxy-gcc45.patch to fix build with gcc 4.5. Patch comes
  from upstream svn, rev 599.
* Fri Feb 26 2010 dimstar@opensuse.org
- Update to version 0.4.0:
  + C++ rewrite
  + Small API change (px_proxy_factory_get_proxy() can now return
    NULL)
  + SOVERSION bump
  + libmodman is now a separate library
  + Migrate to cmake
  + Windows support (config_w32reg, ignore_hostname; VC++ support)
  + MacOSX support (config_macosx, ignore_hostname)
  + Built-in modules support
  + Support for chunked encoding
  + Move to hidden visibility by default
  + KDE's KConfig semantics are fully supported
  + Removeal of all PX_* env variables (no longer needed)
  + Symbol based detection of relevant pacrunner
  + Reworked config_gnome to not suck (its *much* faster)
  + Many other things I can't remember
- BuildRequire cmake, gccc-++ and zlib-devel
- Add libproxy-pysitelib.patch, as the python bindings are are
  arch-independent
- Add libproxy-libexecpatch.patch to move library helpers to proper
  libexecdir.
- Build the python-package as noarch
- sonum bump to 1, thus changing name to libproxy1
- Split out libmodman (will not follow the versioning of libproxy
  in the long run).
- Add libproxy-pkgconfig.patch to also install the .pc file.
* Tue Jan  5 2010 jengelh@medozas.de
- Package baselibs.conf
* Thu Oct  8 2009 dimstar@opensuse.org
- Update to version 0.3.1
  + Bugfixes
  - config file parser reads all sections
  - KDE session detection based on environment varibales,
    as suggested by KDE upstream.
  + KDE configuration module is the first module in C++ and
    now links to libkdecore4 in order to properly detect the
    configuration folder for kde.
  + At the moment we're not compatible with KDE3. Sorry.
  + .NET bindings can now properly be installed and it should
    be possible for packagers to provide them.
- Add gcc-c++, libkde4-devel and libqt4-devel for updated kde mod.
- This update solves bnc#546199.
* Sun Aug 16 2009 dominique-obs@leuenberger.net
- Update to version 0.3.0
  + WARNING!!! Slight API change!!! see docs for
    px_proxy_factory_get_proxies()
  + Credentials support (see API change above)
  + A complete rewrite of the module manager
  + file:// as valid PAC URLs
  + Sample Mono application
  + Automake 1.11 shaved output
  + gnome backend rewrite (now w/o thread issues)
  + Test suite base functionality exists
  + Many solaris build fixes
  + Seamonkey support as JS pacrunner
  + Bugfixes
  + Compiles for MS Windows using Mingw
- Split additional modules out in separate packages.
* Wed Aug 12 2009 dominique-obs@leuenberger.net
- Use new python macros on openSUSE <= 11.1
* Sun Aug  9 2009 coolo@novell.com
- use new python macros
* Mon Jun 22 2009 dominique-obs@leuenberger.net
- Add libproxy-svn-303_as-needed.patch to successfully build with
  - -as-needed
* Tue Jun 16 2009 dominique-obs@leuenberger.net
- Extend baselibs.conf
  We also need the plugins 32bit. The 32bit plugin get's installed
  as soon as the 32bit librarz is installed. Same featureset is
  recommended, bnc#485543
* Wed May 13 2009 vuntz@novell.com
- Tag patches.
* Wed May  6 2009 vuntz@novell.com
- Build libproxy-plugins against mozilla-xulrunner191 on
  openSUSE > 11.1.
* Thu Apr 23 2009 vuntz@novell.com
- Change Name to libproxy-plugins in libproxy-plugins.spec.
* Thu Apr 16 2009 vuntz@novell.com
- Split the build in two steps, libproxy and libproxy-plugins, to
  avoid a build loop: libproxy depends on libwebkit which depends
  on libsoup which depends on libproxy. So we now have a new spec
  file for libproxy-plugins where the libwebkit dependency is.
* Sat Mar 14 2009 vuntz@novell.com
- Review changes.
* Sat Mar 14 2009 wr@rosenauer.org
- use correct mozilla/xulrunner dependencies
* Mon Feb 23 2009 vuntz@novell.com
- Revert the use of %%{libproxy_shnum}: there are places where the
  macro cannot be used (%%files, eg), and we want don't want to mix
  libproxy0 and libproxy%%{libproxy_shnum} -- too likely to forget
  to update one of the two instances.
* Sun Feb 22 2009 vuntz@novell.com
- Review changes.
- Add Provides/Obsoletes after plugin packages renaming.
- Don't use %%{name} everywhere: in some places, it doesn't help
  with clarity; in some others, it could be wrong in the future (in
  Supplements).
* Tue Feb 17 2009 domninique-obs@leuenberger.net
- Replace the %%{name}0 all over by %%{name}%%{libproxy_shnum}, makes
  it easier for future updates by linking to variables.
* Tue Feb 17 2009 vuntz@novell.com
- Review changes.
* Tue Feb 17 2009 dominique-obs@leuenberger.net
- Have the plugin sub-packages follow the shlib name. The plugins
  are depending on a specific version of the lib and should be
  installable in parallel together with multiple libs.
  The plugins live in a versioned directory, so no conflicts can
  happen.
* Mon Feb 16 2009 ro@suse.de
- added baselibs.conf
  (libproxy0-32bit needed by libsoup-2_4-1-32bit)
* Fri Feb  6 2009 vuntz@novell.com
- Add missing Requires on libproxy0 for the subpackages.
* Tue Feb  3 2009 hfiguiere@suse.de
- Initial packaging.
